TRACE_BLOCK_RQ_INSER(9)

NAME
trace_block_rq_insert - insert block operation request into queue

SYNOPSIS

void trace_block_rq_insert(struct request_queue * q, struct request * rq);

ARGUMENTS

q
    target queue

rq
    block IO operation request

DESCRIPTION

Called immediately before block operation request rq is inserted into queue q. The fields in the operation request rq struct can be examined to determine which device and sectors the pending operation would access.

AUTHORS

Jason Baron <jbaron@redhat.com>
    Author.

William Cohen <wcohen@redhat.com>
    Author.

COPYRIGHT